WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please hel

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 7:16 pm

Step 3: Configure CodeLite
Open Settings > Environment Variables
Add the following variables:
WXWIN - this points to your main wxWidgets directory, e.g. C:\wx\wx288
WXCFG - this points to the path containing the configuration file for the current build.
For example, if build.cfg is under C:\wx\wx288\lib\gcc_dll\mswud, you'd need to set WXCFG to gcc_dll\mswud.

okay when i try to add WXCFG i cant find the build.cfg file in my lib folder "C:\wxWidgets-2.8.12\lib"

this has been a common issue for me not finding the build.cfg file is that the problem?

ouch67
Earned some good credits
Earned some good credits
Posts: 134
Joined: Sun Mar 23, 2008 12:09 am

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by ouch67 » Tue Jul 12, 2011 7:20 pm

I used TDM mingw and my project directory has spaces. I think it's more of a problem that codelite doesn't know where wxWidgets is at.

Note I use codeblocks and you specify this in the WX global variable if you want to try codeblocks again. you can use the wxwidgets pre-built libraries that come with codelite with codeblocks. No one says you have to choose one or the other, you can easily use both.

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 7:29 pm

can you explain in more detail what you mean on the basis of what you said please i really want to learn this so i dont have to keep having this wx location issue

this problem goes at my top 10 list of annoying setups :P

ouch67
Earned some good credits
Earned some good credits
Posts: 134
Joined: Sun Mar 23, 2008 12:09 am

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by ouch67 » Tue Jul 12, 2011 8:02 pm

well I don't use codelite so I can't help you there. But in codeblocks you can follow this tutorial: http://wiki.wxwidgets.org/Compiling_wxW ... with_MinGW IF you want to build wxwidgets yourself. sounds like codelite already has done that for you though.

after you have your wxWidgets libraries then go to settings, global variables, change current variable to WX if it's not there already, and in the base field type in the location of wxWidgets and hit ok.

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 8:09 pm

okay lets try this tutorial once again*

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 8:18 pm

okay im stuck at this part because i need it to be explained or clarafied



Build the library

Open the command prompt (Start > Run... > cmd). Change the directory to the build\msw folder. For example:

CD wx\wx288\build\msw
Clean up the source:

mingw32-make -f makefile.gcc MONOLITHIC=1 SHARED=1 UNICODE=1 BUILD=release clean
Then, compile the library:

mingw32-make -f makefile.gcc MONOLITHIC=1 SHARED=1 UNICODE=1 BUILD=release
Note: For more information on the UNICODE and BUILD options, see WxWidgets Build Configurations.

it doesn't specify what needs changing accept saying build libary so my idea is it wants me to put Wxwidgets inside build msw folder?

ouch67
Earned some good credits
Earned some good credits
Posts: 134
Joined: Sun Mar 23, 2008 12:09 am

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by ouch67 » Tue Jul 12, 2011 8:44 pm

all that is saying is that you can specify UNICODE=0 if you want, or you can look at wxWidgets build configurations for more options.

Note that in the new 2.9 version of wxWidgets everything is unicode, so this option is not even needed.

but you can extract wxWidgets wherever you want. For example I have mine in c:\wxWidgets then I have 3 separate versions of wxWidgets in that folder.

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 9:01 pm

okay ill try that :)

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 9:04 pm

i really dont understand why when i try to do those commands it doesnt know where my folder is this is ridickoulous!!!!!!!! im getting infureated i never got so annoyed in my life this is UNBEILIABLE! WHY does it have to be so meaningless this tutorial like how am i soposed to know half of what that means??? couldnt they had atleast explained it all could you explain the meaning of it all to me ?

i almost had to break the forth wall there in anger

im just about ready to give up :( and i shouldnt have too

ouch67
Earned some good credits
Earned some good credits
Posts: 134
Joined: Sun Mar 23, 2008 12:09 am

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by ouch67 » Tue Jul 12, 2011 9:12 pm

well what errors are you getting? post the issuing and results of the command here.

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 9:20 pm

this is what i put in command prompt :) and some of the results i got :)
Microsoft Windows [Version 6.1.7600]
Copyright (c) 2009 Microsoft Corporation. All rights reserved.

C:\Users\NoobMachine>wx\wx288\buildmsw
The system cannot find the path specified.

C:\Users\NoobMachine>CD wx\wx288\build\msw
The system cannot find the path specified.

C:\Users\NoobMachine>mingw32-make -f makefile.gcc MONOLITHIC=1 SHARED=1 UNICODE=
1 BUILD=release clean
mingw32-make: makefile.gcc: No such file or directory
mingw32-make: *** No rule to make target `makefile.gcc'. Stop.

C:\Users\NoobMachine>CD wxWidgets-2.8.12\build\msw

The system cannot find the path specified.

C:\Users\NoobMachine>
Last edited by noobscratcher on Tue Jul 12, 2011 9:59 pm, edited 1 time in total.

ouch67
Earned some good credits
Earned some good credits
Posts: 134
Joined: Sun Mar 23, 2008 12:09 am

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by ouch67 » Tue Jul 12, 2011 9:59 pm

your navigating to the directory incorrectly.

try cd\wx\wx288\build\msw

make sure that's actually where you put wxWidgets though.

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 10:00 pm

what is CD? OH OKAY :D im understanding this now hold on a minute brb

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 10:04 pm

Okay cleaning up the source now going to do the next step then we will seee where w are at :D

noobscratcher
Experienced Solver
Experienced Solver
Posts: 61
Joined: Tue Jul 12, 2011 2:08 pm

Re: WxWidgets 2.8 and Code::Blocks 10.5 not working?? Please

Post by noobscratcher » Tue Jul 12, 2011 11:24 pm

okay iv compiled it with command prompt now what? :D

Post Reply